services:
  app:
    build: .
    ports:
      - "5000:80"
    volumes:
      - .:/var/www/html
    depends_on:
      - mysql
  mysql:
    image: mysql:8.4
    environment:
      MYSQL_DATABASE: hdnd_hung_ha
      MYSQL_USER: hdnd
      MYSQL_PASSWORD: secret
      MYSQL_ROOT_PASSWORD: rootsecret
    ports:
      - "3308:3306"
    volumes:
      - mysql_data:/var/lib/mysql
      - ./database/migrations:/docker-entrypoint-initdb.d
volumes:
  mysql_data:
